Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027831
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2014-10-10 12:222014-12-30 23:28
ReportercaristuView Statuspublic 
Assigned Tofsoto82 
PriorityhighResolutionfixedFixed in Versionpi
StatusclosedFix in branchpiFixed in SCM revisionbd07f4b5032c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027831: Credit to Use grid in Add Payment button can't be modularized

DescriptionIn add payment button, "Credit to Use" grid is based on a the table of type HQL query (Aprm_Credit_To_Use).

It's modularity should be provided by a java class of the type Transformer[1] as it is done for the Orders/Invoice grid in the same parameter window.

This is not this way and this table currently is not modularizable.

[1] http://wiki.openbravo.com/wiki/How_to_create_a_HQL_Based_Table#HQL_Transformers [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0072754)
hgbot (developer)
2014-12-22 09:56

Repository: erp/devel/pi
Changeset: bd07f4b5032c8177259c125deb4dc17518e4bf97
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Mon Dec 22 09:53:28 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bd07f4b5032c8177259c125deb4dc17518e4bf97 [^]

Fixed bug 27831: Credit to Use grid in Add Payment button can't be modularized.

Created CreditToUseTransformer class and modified the Aprm_Credit_To_Use HQL.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
A modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/CreditToUseTransformer.java
---
(0072755)
umartirena (developer)
2014-12-22 09:57

The issue has been fixed by Fernando Soto.

Code Review and testing Done.
(0072781)
hgbot (developer)
2014-12-22 19:15

Repository: erp/devel/pi
Changeset: d94b15f193e6f30c3ba2758b543693cfd8e1ab6d
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Mon Dec 22 17:21:27 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d94b15f193e6f30c3ba2758b543693cfd8e1ab6d [^]

Related to Issue 27831: Add copyright header to new file

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/CreditToUseTransformer.java
---
(0073253)
hudsonbot (developer)
2014-12-30 23:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073257)
hudsonbot (developer)
2014-12-30 23:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-10 12:22 caristu New Issue
2014-10-10 12:22 caristu Assigned To => dmiguelez
2014-10-10 12:22 caristu Modules => Core
2014-10-10 12:22 caristu Triggers an Emergency Pack => No
2014-10-10 12:22 caristu Assigned To dmiguelez => AtulOpenbravo
2014-10-10 12:22 caristu Issue Monitored: networkb
2014-10-10 12:23 caristu Fixed in Version => 3.0PR15Q1
2014-11-25 20:43 fsoto82 Status new => scheduled
2014-11-25 20:43 fsoto82 Assigned To AtulOpenbravo => fsoto82
2014-11-25 20:43 fsoto82 fix_in_branch => pi
2014-12-22 09:56 hgbot Checkin
2014-12-22 09:56 hgbot Note Added: 0072754
2014-12-22 09:56 hgbot Status scheduled => resolved
2014-12-22 09:56 hgbot Resolution open => fixed
2014-12-22 09:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bd07f4b5032c8177259c125deb4dc17518e4bf97 [^]
2014-12-22 09:57 umartirena Review Assigned To => umartirena
2014-12-22 09:57 umartirena Note Added: 0072755
2014-12-22 09:57 umartirena Status resolved => closed
2014-12-22 09:57 umartirena Fixed in Version 3.0PR15Q1 => pi
2014-12-22 19:15 hgbot Checkin
2014-12-22 19:15 hgbot Note Added: 0072781
2014-12-30 23:28 hudsonbot Checkin
2014-12-30 23:28 hudsonbot Note Added: 0073253
2014-12-30 23:28 hudsonbot Checkin
2014-12-30 23:28 hudsonbot Note Added: 0073257


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker